<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Owners</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark"><br>
            <div class="collapse navbar-collapse" id="collapsibleNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="main">Главная</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="owners">Владельцы</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="buses">Автобусы</a>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
    <div class="container mt-3 mb-5">
        <h3>Автобусы</h3>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th>№</th>
                <th>Название</th>
                <th>Модель</th>
                <th>Количество мест</th>
                <th>Обьем двигателя(л)</th>
                <th>Расход топлива(л/100км)</th>
                <th>Номер</th>
                <th>Владелец</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="b : ${buses}">
                <td th:text="${b.id}"></td>
                <td th:text="${b.name}"></td>
                <td th:text="${b.model}"></td>
                <td th:text="${b.numberOfSeats}"></td>
                <td th:text="${b.engineVolume}"></td>
                <td th:text="${b.getFuelConsumption()}"></td>
                <td th:text="${b.transportNumber}"></td>
                <td th:text="${b.owner}"></td>
                <td>
                    <a class="btn btn-warning" th:href="@{bus/edit/{id}(id=${b.id})}">Редактировать</a>
                    <a class="btn btn-danger" th:href="@{bus/delete/{id}(id=${b.id})}">Удалить</a>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="container mt-5 mb-5">
        <h4>Добавление автобуса</h4>
        <form action="buses" method="post">
            <input type="text" name="name" placeholder="Введите название" class="form-control" required></br>
            <input type="text" name="model" placeholder="Введите модель" class="form-control" required></br>
            <input type="number" name="numberOfSeats" placeholder="Введите количество мест" class="form-control"required></br>
            <input type="number" name="engineVolume" step="0.1" placeholder="Введите обьем двигателя(л)" class="form-control" required></br>
            <input type="text" name="transportNumber" placeholder="Введите номер" class="form-control" required></br>
            <input type="text" name="owner" placeholder="Введите id владельца" class="form-control" required></br>
            <button type="submit" class="btn btn-success">Добавить</button>
        </form>
    </div>
</body>
</html>